Please upgrade here. These earlier versions are no longer being updated and have security issues.

Can't access the plugin configuration page in Vanilla 2.5

This discussion is related to the OneAll Social Login addon.

Hello, I tried installing the OneAll plugin on the current version of Vanilla (2.5) and dropped it regulary into the plugins folder, but while I am able to activate the plugin in the dashboard, when I try to access the setting page I just get the message "Page not found."
Is there a way to work around that, e.g. writing the data for access of the API into a certain file, or does the non-accessability of the settings page mean that the plugin would not work anyway, even with correct access to the data?

Comments

  • Hey Malle, the plugin system changed a bit in Vanilla 2.5.

    You're correct that the inaccessibility of the settings page is a symptom of the plugin not working anymore.

    I'll put in a pull request with the necessary updates to let the plugin work for Vanilla 2.5.

    Malle
  • I created a pull request with my proposed updates to make it work in 2.5.

    Could you try this version to see if it works for you?

    pinchies
  • Unfortunately it's still unaccessible.

  • Have you cleared the cache? (deleted the yourforum/cache folder?)

  • Yes, I have, I also updated to the current version.

  • Thanks for your pull request Caylus... worked great for me. Here's my zip.

  • IonmarcuIonmarcu Bucharest

    For some reason I can't enable Facebook, I am positive si configuret in OneAll acount. Facebook option simply not saving. Any idea ?

  • OneAllOneAll New
    edited May 2018

    Hello,

    Vanilla 2.5 has required to change the plugin so much, that we have created a new version of the plugin. It unfortunately does not seem to be possible to upload different versions of a plugin for different versions of Vanilla Forums.

    So if you are looking for a this plugin for Vanilla 2.5, you can download it here:
    https://github.com/oneall/social-login-vanilla-forum/tree/vanilla/2.5+

    Or maybe somebody knows how to upload two different versions of the plugin here?

    vintprox
  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    @OneAll: Normally there should be a current version and maybe some old versions. If you increase the version number in your plugin, you should be able to upload it.

    There is no sane reason to still provide a Vanilla 2.3 plugin so there is no need for officially providing to versions of a plugin. Older versions can be accessed from the download page anyway


Sign In or Register to comment.